# Sway CheatSheet #

  Super = Windows Key

# common operations
  Super          Return   *term* (`kitty`)
  Super          q        *quit* (kill focused window)
  Super   Shift  q        *quit* (kill focused window)
  Super          d        *tofi-drun* 
  Super   Shift  d        *tofi-run*
  Super          x        *show archlinux-logout* (lock/suspend/logout/reboot/shutdown)
  Super   Shift  r        *reload config files* (`reload`)
  Super          Escape   *kill application*

# screenshot
  PrintSrc                *full screenshot*
  Shift  PrintSrc         *screenshot active*
  Ctrl   PrintSrc         *screenshot selection*

# application shortcuts
  Ctrl    Alt F           *firefox*
  Ctrl    Alt U           *pavucontrol*
  Ctrl    Alt P           *pamac-manager*
  Ctrl    Alt G           *ghostwriter*
  Super   Shift  Return   *file manager* (`thunar`)
  Super   F1              *browser* (`firefox`)

# container layout
 
  Super   Shift   Space       *toggle tiling/floating mode*
  Super   left  mouse button  *move window*
  Super   right mouse button  *resize window*

# workspaces
  Super         1 .. 0    *switch to workspace 1 .. 10*
  Super  Shift  1 .. 0    *move container to workspace 1 .. 10*

# notes
  - *Sway* is documented through man pages - man sway.
  - *Waybar* is documented through man pages - man waybar. 
  - User configuration files are in `~/.config/`.
  - Sway configuration files are in `~/.config/sway/config.d/`.
  - Similarly, Waybar configuration is in `~/.config/waybar`.

# user githubs
  - https://gitlab.com/garuda-linux/themes-and-settings/settings/garuda-sway-settings
  - https://gitlab.com/risca-dot-files/sway/-/tree/master/.config/sway
  - https://github.com/weasnerb/sway-dots

# share your own files on github 
  - so we can all learn
  - and you have a backup
